# File used as u_disp.r, archived as u_disp2.r, last change 28/8/2013
# Formerly ie_lib1.r, ie_lib1x.r 
#
#         UTILITIES FOR OUTPUT/DISPLAY
# ................................................................................
#
init_disp <- function(nc, fn) # select console or eps file
    { 
    if (nc == 0)      # Select console
        {X11()}
    else if(nc == 1) 
        { postscript(fn, width = 6.0, height = 5.0, pointsize = 15, 
        horizontal = FALSE, onefile = FALSE, paper = "special", 
        family = "Times", encoding = "TeXtext.enc") }   
    else
        { postscript(fn, width = 6.0, height = 4.0, pointsize = 15, 
        horizontal = FALSE, onefile = FALSE, paper = "special", 
        family = "Times", encoding = "TeXtext.enc") }   
}
# ................................................................................
#
end_disp  <- function(nc) # Close external file
     { 
      if (nc == 0) 
         { }
      else
         {  dev.off()}   
      } 
# ................................................................................
# Set up default parameters for a plots
#
set_box0 <- function() {
      par(lwd = 2) #line width of 2
      par(lty = 1) #solid line
      par(type = "l") #default, use lines
      par(col = "black") #default colour black
      par(las = 1) # tick labels horizontal
      par(tck = 0.01) # ticks inside
      #par(mai = c(1.0, 1.0, 0.1, 0.3)) #setting margins of 1" to the L & B, 0.1T, 0.3R.
      par(mai = c(0.8, 1.0, 0.2, 0.3)) #setting margins of 1" to B & L, 0.2T, 0.3R.
      par(mgp = c(2.5,0.5,0))
      # par(mgp = c(1.6,0.5,0))
   }
# ................................................................................